<app-image-creation [stalls]="stalls"></app-image-creation>


<p>
	<button type="button" class="btn btn-outline-primary" (click)="EditImagesIsCollapsed = !EditImagesIsCollapsed"
		[attr.aria-expanded]="!EditImagesIsCollapsed" aria-controls="EditImagesCollapse">
		Edit images
	</button>
</p>



<div id="EditImagesCollapse" [ngbCollapse]="EditImagesIsCollapsed">

	<div class="row">

		<div class="col-lg-12 col-md-12 col-sm-12">

			<div class="card">
				<div class="card-body">
					<h5 class="card-title">Stall image management</h5>
					<p class="card-text">Select for which stall you want to edit the images</p>

					<form [formGroup]="editImageForm">
						<select id="stallDropdown" formControlName="stallDropdown" class="form-control"
							(change)="onStallOptionsSelected($event.target.value)">
							<option *ngFor="let stall of stalls" [ngValue]="stall.id">{{ stall.name }}</option>
						</select>
					</form>

				</div>
			</div>

		</div>

		<app-alert></app-alert>

		<div class="col-lg-12 col-md-12 col-sm-12">

			<table class="table table-hover" *ngIf="stallImages != null && stallImages.length !== 0; else noPictures">
				<thead>
					<tr>
					<th scope="col">#</th>
					<th scope="col">id</th>
					<th scope="col">image</th>
					<th scope="col">path</th>
					<th scope="col">Edit</th>
					<th scope="col">Delete</th>
					</tr>
				</thead>
				<tbody *ngFor="let img of stallImages; index as i">
					<tr>
						<td>{{ i + 1 }}</td>
						<td>{{ img.id }}</td>
						<td><img [src]="env.assetUrl + img.path + img.extension" alt="{{img.description}}" class="img-thumbnail"></td>
						<td>{{ img.path }}</td>
	
						<td><a class="btn btn-warning" (click)="editImage(img)">edit</a></td>
						<td><a class="btn btn-danger" (click)="deleteImage(img)">delete</a></td>
					</tr>
	
				</tbody>

			</table>

		</div>


	</div>

</div>



<ng-template #noPictures>
	<p>This stall has no images at the moment</p>
</ng-template>